Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network103.2.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
103.2.48.0
Broadcast address
103.2.63.255
First usable
103.2.48.1
Last usable
103.2.63.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 67023000 · Integer 1728196608 to 1728200703
Reverse DNS zones
48.2.103.in-addr.arpa
49.2.103.in-addr.arpa
50.2.103.in-addr.arpa
51.2.103.in-addr.arpa
52.2.103.in-addr.arpa
53.2.103.in-addr.arpa
54.2.103.in-addr.arpa
55.2.103.in-addr.arpa
56.2.103.in-addr.arpa
57.2.103.in-addr.arpa
58.2.103.in-addr.arpa
59.2.103.in-addr.arpa
60.2.103.in-addr.arpa
61.2.103.in-addr.arpa
62.2.103.in-addr.arpa
63.2.103.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100111.00000010.00110000.00000000103.2.48.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01100111.00000010.00110000.00000000103.2.48.0
Broadcast01100111.00000010.00111111.11111111103.2.63.255
Split into smaller subnets/30

103.2.48.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1103.2.48.0/30103.2.48.1 to 103.2.48.2103.2.48.32
2103.2.48.4/30103.2.48.5 to 103.2.48.6103.2.48.72
3103.2.48.8/30103.2.48.9 to 103.2.48.10103.2.48.112
4103.2.48.12/30103.2.48.13 to 103.2.48.14103.2.48.152
5103.2.48.16/30103.2.48.17 to 103.2.48.18103.2.48.192
6103.2.48.20/30103.2.48.21 to 103.2.48.22103.2.48.232
7103.2.48.24/30103.2.48.25 to 103.2.48.26103.2.48.272
8103.2.48.28/30103.2.48.29 to 103.2.48.30103.2.48.312
9103.2.48.32/30103.2.48.33 to 103.2.48.34103.2.48.352
10103.2.48.36/30103.2.48.37 to 103.2.48.38103.2.48.392
11103.2.48.40/30103.2.48.41 to 103.2.48.42103.2.48.432
12103.2.48.44/30103.2.48.45 to 103.2.48.46103.2.48.472
13103.2.48.48/30103.2.48.49 to 103.2.48.50103.2.48.512
14103.2.48.52/30103.2.48.53 to 103.2.48.54103.2.48.552
15103.2.48.56/30103.2.48.57 to 103.2.48.58103.2.48.592
16103.2.48.60/30103.2.48.61 to 103.2.48.62103.2.48.632
17103.2.48.64/30103.2.48.65 to 103.2.48.66103.2.48.672
18103.2.48.68/30103.2.48.69 to 103.2.48.70103.2.48.712
19103.2.48.72/30103.2.48.73 to 103.2.48.74103.2.48.752
20103.2.48.76/30103.2.48.77 to 103.2.48.78103.2.48.792
21103.2.48.80/30103.2.48.81 to 103.2.48.82103.2.48.832
22103.2.48.84/30103.2.48.85 to 103.2.48.86103.2.48.872
23103.2.48.88/30103.2.48.89 to 103.2.48.90103.2.48.912
24103.2.48.92/30103.2.48.93 to 103.2.48.94103.2.48.952
25103.2.48.96/30103.2.48.97 to 103.2.48.98103.2.48.992
26103.2.48.100/30103.2.48.101 to 103.2.48.102103.2.48.1032
27103.2.48.104/30103.2.48.105 to 103.2.48.106103.2.48.1072
28103.2.48.108/30103.2.48.109 to 103.2.48.110103.2.48.1112
29103.2.48.112/30103.2.48.113 to 103.2.48.114103.2.48.1152
30103.2.48.116/30103.2.48.117 to 103.2.48.118103.2.48.1192
31103.2.48.120/30103.2.48.121 to 103.2.48.122103.2.48.1232
32103.2.48.124/30103.2.48.125 to 103.2.48.126103.2.48.1272
33103.2.48.128/30103.2.48.129 to 103.2.48.130103.2.48.1312
34103.2.48.132/30103.2.48.133 to 103.2.48.134103.2.48.1352
35103.2.48.136/30103.2.48.137 to 103.2.48.138103.2.48.1392
36103.2.48.140/30103.2.48.141 to 103.2.48.142103.2.48.1432
37103.2.48.144/30103.2.48.145 to 103.2.48.146103.2.48.1472
38103.2.48.148/30103.2.48.149 to 103.2.48.150103.2.48.1512
39103.2.48.152/30103.2.48.153 to 103.2.48.154103.2.48.1552
40103.2.48.156/30103.2.48.157 to 103.2.48.158103.2.48.1592
41103.2.48.160/30103.2.48.161 to 103.2.48.162103.2.48.1632
42103.2.48.164/30103.2.48.165 to 103.2.48.166103.2.48.1672
43103.2.48.168/30103.2.48.169 to 103.2.48.170103.2.48.1712
44103.2.48.172/30103.2.48.173 to 103.2.48.174103.2.48.1752
45103.2.48.176/30103.2.48.177 to 103.2.48.178103.2.48.1792
46103.2.48.180/30103.2.48.181 to 103.2.48.182103.2.48.1832
47103.2.48.184/30103.2.48.185 to 103.2.48.186103.2.48.1872
48103.2.48.188/30103.2.48.189 to 103.2.48.190103.2.48.1912
49103.2.48.192/30103.2.48.193 to 103.2.48.194103.2.48.1952
50103.2.48.196/30103.2.48.197 to 103.2.48.198103.2.48.1992
51103.2.48.200/30103.2.48.201 to 103.2.48.202103.2.48.2032
52103.2.48.204/30103.2.48.205 to 103.2.48.206103.2.48.2072
53103.2.48.208/30103.2.48.209 to 103.2.48.210103.2.48.2112
54103.2.48.212/30103.2.48.213 to 103.2.48.214103.2.48.2152
55103.2.48.216/30103.2.48.217 to 103.2.48.218103.2.48.2192
56103.2.48.220/30103.2.48.221 to 103.2.48.222103.2.48.2232
57103.2.48.224/30103.2.48.225 to 103.2.48.226103.2.48.2272
58103.2.48.228/30103.2.48.229 to 103.2.48.230103.2.48.2312
59103.2.48.232/30103.2.48.233 to 103.2.48.234103.2.48.2352
60103.2.48.236/30103.2.48.237 to 103.2.48.238103.2.48.2392
61103.2.48.240/30103.2.48.241 to 103.2.48.242103.2.48.2432
62103.2.48.244/30103.2.48.245 to 103.2.48.246103.2.48.2472
63103.2.48.248/30103.2.48.249 to 103.2.48.250103.2.48.2512
64103.2.48.252/30103.2.48.253 to 103.2.48.254103.2.48.2552
65103.2.49.0/30103.2.49.1 to 103.2.49.2103.2.49.32
66103.2.49.4/30103.2.49.5 to 103.2.49.6103.2.49.72
67103.2.49.8/30103.2.49.9 to 103.2.49.10103.2.49.112
68103.2.49.12/30103.2.49.13 to 103.2.49.14103.2.49.152
69103.2.49.16/30103.2.49.17 to 103.2.49.18103.2.49.192
70103.2.49.20/30103.2.49.21 to 103.2.49.22103.2.49.232
71103.2.49.24/30103.2.49.25 to 103.2.49.26103.2.49.272
72103.2.49.28/30103.2.49.29 to 103.2.49.30103.2.49.312
73103.2.49.32/30103.2.49.33 to 103.2.49.34103.2.49.352
74103.2.49.36/30103.2.49.37 to 103.2.49.38103.2.49.392
75103.2.49.40/30103.2.49.41 to 103.2.49.42103.2.49.432
76103.2.49.44/30103.2.49.45 to 103.2.49.46103.2.49.472
77103.2.49.48/30103.2.49.49 to 103.2.49.50103.2.49.512
78103.2.49.52/30103.2.49.53 to 103.2.49.54103.2.49.552
79103.2.49.56/30103.2.49.57 to 103.2.49.58103.2.49.592
80103.2.49.60/30103.2.49.61 to 103.2.49.62103.2.49.632
81103.2.49.64/30103.2.49.65 to 103.2.49.66103.2.49.672
82103.2.49.68/30103.2.49.69 to 103.2.49.70103.2.49.712
83103.2.49.72/30103.2.49.73 to 103.2.49.74103.2.49.752
84103.2.49.76/30103.2.49.77 to 103.2.49.78103.2.49.792
85103.2.49.80/30103.2.49.81 to 103.2.49.82103.2.49.832
86103.2.49.84/30103.2.49.85 to 103.2.49.86103.2.49.872
87103.2.49.88/30103.2.49.89 to 103.2.49.90103.2.49.912
88103.2.49.92/30103.2.49.93 to 103.2.49.94103.2.49.952
89103.2.49.96/30103.2.49.97 to 103.2.49.98103.2.49.992
90103.2.49.100/30103.2.49.101 to 103.2.49.102103.2.49.1032
91103.2.49.104/30103.2.49.105 to 103.2.49.106103.2.49.1072
92103.2.49.108/30103.2.49.109 to 103.2.49.110103.2.49.1112
93103.2.49.112/30103.2.49.113 to 103.2.49.114103.2.49.1152
94103.2.49.116/30103.2.49.117 to 103.2.49.118103.2.49.1192
95103.2.49.120/30103.2.49.121 to 103.2.49.122103.2.49.1232
96103.2.49.124/30103.2.49.125 to 103.2.49.126103.2.49.1272
97103.2.49.128/30103.2.49.129 to 103.2.49.130103.2.49.1312
98103.2.49.132/30103.2.49.133 to 103.2.49.134103.2.49.1352
99103.2.49.136/30103.2.49.137 to 103.2.49.138103.2.49.1392
100103.2.49.140/30103.2.49.141 to 103.2.49.142103.2.49.1432
101103.2.49.144/30103.2.49.145 to 103.2.49.146103.2.49.1472
102103.2.49.148/30103.2.49.149 to 103.2.49.150103.2.49.1512
103103.2.49.152/30103.2.49.153 to 103.2.49.154103.2.49.1552
104103.2.49.156/30103.2.49.157 to 103.2.49.158103.2.49.1592
105103.2.49.160/30103.2.49.161 to 103.2.49.162103.2.49.1632
106103.2.49.164/30103.2.49.165 to 103.2.49.166103.2.49.1672
107103.2.49.168/30103.2.49.169 to 103.2.49.170103.2.49.1712
108103.2.49.172/30103.2.49.173 to 103.2.49.174103.2.49.1752
109103.2.49.176/30103.2.49.177 to 103.2.49.178103.2.49.1792
110103.2.49.180/30103.2.49.181 to 103.2.49.182103.2.49.1832
111103.2.49.184/30103.2.49.185 to 103.2.49.186103.2.49.1872
112103.2.49.188/30103.2.49.189 to 103.2.49.190103.2.49.1912
113103.2.49.192/30103.2.49.193 to 103.2.49.194103.2.49.1952
114103.2.49.196/30103.2.49.197 to 103.2.49.198103.2.49.1992
115103.2.49.200/30103.2.49.201 to 103.2.49.202103.2.49.2032
116103.2.49.204/30103.2.49.205 to 103.2.49.206103.2.49.2072
117103.2.49.208/30103.2.49.209 to 103.2.49.210103.2.49.2112
118103.2.49.212/30103.2.49.213 to 103.2.49.214103.2.49.2152
119103.2.49.216/30103.2.49.217 to 103.2.49.218103.2.49.2192
120103.2.49.220/30103.2.49.221 to 103.2.49.222103.2.49.2232
121103.2.49.224/30103.2.49.225 to 103.2.49.226103.2.49.2272
122103.2.49.228/30103.2.49.229 to 103.2.49.230103.2.49.2312
123103.2.49.232/30103.2.49.233 to 103.2.49.234103.2.49.2352
124103.2.49.236/30103.2.49.237 to 103.2.49.238103.2.49.2392
125103.2.49.240/30103.2.49.241 to 103.2.49.242103.2.49.2432
126103.2.49.244/30103.2.49.245 to 103.2.49.246103.2.49.2472
127103.2.49.248/30103.2.49.249 to 103.2.49.250103.2.49.2512
128103.2.49.252/30103.2.49.253 to 103.2.49.254103.2.49.2552
129103.2.50.0/30103.2.50.1 to 103.2.50.2103.2.50.32
130103.2.50.4/30103.2.50.5 to 103.2.50.6103.2.50.72
131103.2.50.8/30103.2.50.9 to 103.2.50.10103.2.50.112
132103.2.50.12/30103.2.50.13 to 103.2.50.14103.2.50.152
133103.2.50.16/30103.2.50.17 to 103.2.50.18103.2.50.192
134103.2.50.20/30103.2.50.21 to 103.2.50.22103.2.50.232
135103.2.50.24/30103.2.50.25 to 103.2.50.26103.2.50.272
136103.2.50.28/30103.2.50.29 to 103.2.50.30103.2.50.312
137103.2.50.32/30103.2.50.33 to 103.2.50.34103.2.50.352
138103.2.50.36/30103.2.50.37 to 103.2.50.38103.2.50.392
139103.2.50.40/30103.2.50.41 to 103.2.50.42103.2.50.432
140103.2.50.44/30103.2.50.45 to 103.2.50.46103.2.50.472
141103.2.50.48/30103.2.50.49 to 103.2.50.50103.2.50.512
142103.2.50.52/30103.2.50.53 to 103.2.50.54103.2.50.552
143103.2.50.56/30103.2.50.57 to 103.2.50.58103.2.50.592
144103.2.50.60/30103.2.50.61 to 103.2.50.62103.2.50.632
145103.2.50.64/30103.2.50.65 to 103.2.50.66103.2.50.672
146103.2.50.68/30103.2.50.69 to 103.2.50.70103.2.50.712
147103.2.50.72/30103.2.50.73 to 103.2.50.74103.2.50.752
148103.2.50.76/30103.2.50.77 to 103.2.50.78103.2.50.792
149103.2.50.80/30103.2.50.81 to 103.2.50.82103.2.50.832
150103.2.50.84/30103.2.50.85 to 103.2.50.86103.2.50.872
151103.2.50.88/30103.2.50.89 to 103.2.50.90103.2.50.912
152103.2.50.92/30103.2.50.93 to 103.2.50.94103.2.50.952
153103.2.50.96/30103.2.50.97 to 103.2.50.98103.2.50.992
154103.2.50.100/30103.2.50.101 to 103.2.50.102103.2.50.1032
155103.2.50.104/30103.2.50.105 to 103.2.50.106103.2.50.1072
156103.2.50.108/30103.2.50.109 to 103.2.50.110103.2.50.1112
157103.2.50.112/30103.2.50.113 to 103.2.50.114103.2.50.1152
158103.2.50.116/30103.2.50.117 to 103.2.50.118103.2.50.1192
159103.2.50.120/30103.2.50.121 to 103.2.50.122103.2.50.1232
160103.2.50.124/30103.2.50.125 to 103.2.50.126103.2.50.1272
161103.2.50.128/30103.2.50.129 to 103.2.50.130103.2.50.1312
162103.2.50.132/30103.2.50.133 to 103.2.50.134103.2.50.1352
163103.2.50.136/30103.2.50.137 to 103.2.50.138103.2.50.1392
164103.2.50.140/30103.2.50.141 to 103.2.50.142103.2.50.1432
165103.2.50.144/30103.2.50.145 to 103.2.50.146103.2.50.1472
166103.2.50.148/30103.2.50.149 to 103.2.50.150103.2.50.1512
167103.2.50.152/30103.2.50.153 to 103.2.50.154103.2.50.1552
168103.2.50.156/30103.2.50.157 to 103.2.50.158103.2.50.1592
169103.2.50.160/30103.2.50.161 to 103.2.50.162103.2.50.1632
170103.2.50.164/30103.2.50.165 to 103.2.50.166103.2.50.1672
171103.2.50.168/30103.2.50.169 to 103.2.50.170103.2.50.1712
172103.2.50.172/30103.2.50.173 to 103.2.50.174103.2.50.1752
173103.2.50.176/30103.2.50.177 to 103.2.50.178103.2.50.1792
174103.2.50.180/30103.2.50.181 to 103.2.50.182103.2.50.1832
175103.2.50.184/30103.2.50.185 to 103.2.50.186103.2.50.1872
176103.2.50.188/30103.2.50.189 to 103.2.50.190103.2.50.1912
177103.2.50.192/30103.2.50.193 to 103.2.50.194103.2.50.1952
178103.2.50.196/30103.2.50.197 to 103.2.50.198103.2.50.1992
179103.2.50.200/30103.2.50.201 to 103.2.50.202103.2.50.2032
180103.2.50.204/30103.2.50.205 to 103.2.50.206103.2.50.2072
181103.2.50.208/30103.2.50.209 to 103.2.50.210103.2.50.2112
182103.2.50.212/30103.2.50.213 to 103.2.50.214103.2.50.2152
183103.2.50.216/30103.2.50.217 to 103.2.50.218103.2.50.2192
184103.2.50.220/30103.2.50.221 to 103.2.50.222103.2.50.2232
185103.2.50.224/30103.2.50.225 to 103.2.50.226103.2.50.2272
186103.2.50.228/30103.2.50.229 to 103.2.50.230103.2.50.2312
187103.2.50.232/30103.2.50.233 to 103.2.50.234103.2.50.2352
188103.2.50.236/30103.2.50.237 to 103.2.50.238103.2.50.2392
189103.2.50.240/30103.2.50.241 to 103.2.50.242103.2.50.2432
190103.2.50.244/30103.2.50.245 to 103.2.50.246103.2.50.2472
191103.2.50.248/30103.2.50.249 to 103.2.50.250103.2.50.2512
192103.2.50.252/30103.2.50.253 to 103.2.50.254103.2.50.2552
193103.2.51.0/30103.2.51.1 to 103.2.51.2103.2.51.32
194103.2.51.4/30103.2.51.5 to 103.2.51.6103.2.51.72
195103.2.51.8/30103.2.51.9 to 103.2.51.10103.2.51.112
196103.2.51.12/30103.2.51.13 to 103.2.51.14103.2.51.152
197103.2.51.16/30103.2.51.17 to 103.2.51.18103.2.51.192
198103.2.51.20/30103.2.51.21 to 103.2.51.22103.2.51.232
199103.2.51.24/30103.2.51.25 to 103.2.51.26103.2.51.272
200103.2.51.28/30103.2.51.29 to 103.2.51.30103.2.51.312
201103.2.51.32/30103.2.51.33 to 103.2.51.34103.2.51.352
202103.2.51.36/30103.2.51.37 to 103.2.51.38103.2.51.392
203103.2.51.40/30103.2.51.41 to 103.2.51.42103.2.51.432
204103.2.51.44/30103.2.51.45 to 103.2.51.46103.2.51.472
205103.2.51.48/30103.2.51.49 to 103.2.51.50103.2.51.512
206103.2.51.52/30103.2.51.53 to 103.2.51.54103.2.51.552
207103.2.51.56/30103.2.51.57 to 103.2.51.58103.2.51.592
208103.2.51.60/30103.2.51.61 to 103.2.51.62103.2.51.632
209103.2.51.64/30103.2.51.65 to 103.2.51.66103.2.51.672
210103.2.51.68/30103.2.51.69 to 103.2.51.70103.2.51.712
211103.2.51.72/30103.2.51.73 to 103.2.51.74103.2.51.752
212103.2.51.76/30103.2.51.77 to 103.2.51.78103.2.51.792
213103.2.51.80/30103.2.51.81 to 103.2.51.82103.2.51.832
214103.2.51.84/30103.2.51.85 to 103.2.51.86103.2.51.872
215103.2.51.88/30103.2.51.89 to 103.2.51.90103.2.51.912
216103.2.51.92/30103.2.51.93 to 103.2.51.94103.2.51.952
217103.2.51.96/30103.2.51.97 to 103.2.51.98103.2.51.992
218103.2.51.100/30103.2.51.101 to 103.2.51.102103.2.51.1032
219103.2.51.104/30103.2.51.105 to 103.2.51.106103.2.51.1072
220103.2.51.108/30103.2.51.109 to 103.2.51.110103.2.51.1112
221103.2.51.112/30103.2.51.113 to 103.2.51.114103.2.51.1152
222103.2.51.116/30103.2.51.117 to 103.2.51.118103.2.51.1192
223103.2.51.120/30103.2.51.121 to 103.2.51.122103.2.51.1232
224103.2.51.124/30103.2.51.125 to 103.2.51.126103.2.51.1272
225103.2.51.128/30103.2.51.129 to 103.2.51.130103.2.51.1312
226103.2.51.132/30103.2.51.133 to 103.2.51.134103.2.51.1352
227103.2.51.136/30103.2.51.137 to 103.2.51.138103.2.51.1392
228103.2.51.140/30103.2.51.141 to 103.2.51.142103.2.51.1432
229103.2.51.144/30103.2.51.145 to 103.2.51.146103.2.51.1472
230103.2.51.148/30103.2.51.149 to 103.2.51.150103.2.51.1512
231103.2.51.152/30103.2.51.153 to 103.2.51.154103.2.51.1552
232103.2.51.156/30103.2.51.157 to 103.2.51.158103.2.51.1592
233103.2.51.160/30103.2.51.161 to 103.2.51.162103.2.51.1632
234103.2.51.164/30103.2.51.165 to 103.2.51.166103.2.51.1672
235103.2.51.168/30103.2.51.169 to 103.2.51.170103.2.51.1712
236103.2.51.172/30103.2.51.173 to 103.2.51.174103.2.51.1752
237103.2.51.176/30103.2.51.177 to 103.2.51.178103.2.51.1792
238103.2.51.180/30103.2.51.181 to 103.2.51.182103.2.51.1832
239103.2.51.184/30103.2.51.185 to 103.2.51.186103.2.51.1872
240103.2.51.188/30103.2.51.189 to 103.2.51.190103.2.51.1912
241103.2.51.192/30103.2.51.193 to 103.2.51.194103.2.51.1952
242103.2.51.196/30103.2.51.197 to 103.2.51.198103.2.51.1992
243103.2.51.200/30103.2.51.201 to 103.2.51.202103.2.51.2032
244103.2.51.204/30103.2.51.205 to 103.2.51.206103.2.51.2072
245103.2.51.208/30103.2.51.209 to 103.2.51.210103.2.51.2112
246103.2.51.212/30103.2.51.213 to 103.2.51.214103.2.51.2152
247103.2.51.216/30103.2.51.217 to 103.2.51.218103.2.51.2192
248103.2.51.220/30103.2.51.221 to 103.2.51.222103.2.51.2232
249103.2.51.224/30103.2.51.225 to 103.2.51.226103.2.51.2272
250103.2.51.228/30103.2.51.229 to 103.2.51.230103.2.51.2312
251103.2.51.232/30103.2.51.233 to 103.2.51.234103.2.51.2352
252103.2.51.236/30103.2.51.237 to 103.2.51.238103.2.51.2392
253103.2.51.240/30103.2.51.241 to 103.2.51.242103.2.51.2432
254103.2.51.244/30103.2.51.245 to 103.2.51.246103.2.51.2472
255103.2.51.248/30103.2.51.249 to 103.2.51.250103.2.51.2512
256103.2.51.252/30103.2.51.253 to 103.2.51.254103.2.51.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses